@Echo Off
Color F0
Title Enable MoovieLive and Movie Remix - by ADHDerby
Reg Query "HKLM\SOFTWARE\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Next
goto 32-bit

:Next
Reg Query "HKLM\SOFTWARE\Wow6432Node\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Error
goto 64-bit

:Error
Color 0C
Echo.
Echo  Error 404: Can't find the InstallPath
Echo.
Echo  Please (re)install PowerDVD 11
Echo.
Echo.
Echo  Press a key to Exit . . .
Pause > nul
Color
Exit

:32-bit
For /F "tokens=2* delims=	 " %%A IN ('Reg Query "HKLM\SOFTWARE\CyberLink\PowerDVD11" /v InstallPath') do set PDVD11Dir=%%B
Echo.
Echo  InstallPath: "%PDVD11Dir%"
Echo.
Echo  Writing registry values . . .
Reg Add HKLM\Software\Cyberlink\PowerDVD11 /v EnableMovieLibrary /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\Software\Cyberlink\PowerDVD11 /v EnableMovieRemix /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\Software\Cyberlink\PowerDVD11 /v UI_MLiveEnableFeature /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\Software\Cyberlink\PowerDVD11 /v UI_EnableEmbeddedBrowser /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\Software\Cyberlink\PowerDVD11 /v UI_EnableQuickReviewInPause /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\Software\Cyberlink\PowerDVD11\MoovieLive /v MoovieLive_InternalDemo /t REG_DWORD /d 1 /f > nul
goto Done

:64-bit
For /F "tokens=2* delims=	 " %%A IN ('Reg Query "HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11" /v InstallPath') do set PDVD11Dir=%%B
Echo.
Echo  InstallPath: "%PDVD11Dir%" (64-bit)
Echo.
Echo  Writing registry values . . .
Reg Add HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11 /v EnableMovieLibrary /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11 /v EnableMovieRemix /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11 /v UI_MLiveEnableFeature /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11 /v UI_EnableEmbeddedBrowser /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11 /v UI_EnableQuickReviewInPause /t REG_DWORD /d 1 /f > nul
Reg Add HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11\MoovieLive /v MoovieLive_InternalDemo /t REG_DWORD /d 1 /f > nul
goto Done

:Done
Echo.
Echo  MoovieLive and Movie Remix are now enabled!
Echo.
Echo  Press a key to Exit . . .
Echo.
Echo.
Echo  Cheers,
Echo.
Echo  ADHDerby
Pause > nul
Color
Exit